package org.fouram.service;

import org.fouram.core.base.service.BaseService;
import org.fouram.entity.SapMessageUser;
import org.springframework.stereotype.Service;

@Service
public class SapMessageUserService extends BaseService {

	public void saveOne(String userId) throws Exception {
		SapMessageUser entity = SapMessageUser.builder().userId(userId).build();
		save("SapMessageUserMapper.saveOne", entity);
	}

	public SapMessageUser selectByUserId(String userId) throws Exception {
		return (SapMessageUser) findObject("SapMessageUserMapper.selectByUserId", userId);
	}

	public void deleteById(String id) throws Exception {
		update("SapMessageUserMapper.deleteById", id);
	}
}
